Get user by ID
GET
/api/v1/user/{id}
const url = 'https://example.com/api/v1/user/example';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/v1/user/exampleParameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string
Query Parameters
Section titled “Query Parameters ” expand
string
Responses
Section titled “ Responses ”User details
Media type application/json
object
id
required
User ID (15 chars)
string
username
required
Username (3+ chars, alphanumeric with dots)
string
email
required
User email address
string format: email
avatar
Avatar file path
string
verified
Email verification status
boolean
created
string format: date-time
updated
string format: date-time
Example generated
{ "id": "example", "username": "example", "email": "hello@example.com", "avatar": "example", "verified": true, "created": "2026-04-15T12:00:00Z", "updated": "2026-04-15T12:00:00Z"}Not Found
Internal Server Error